Bug 36218 - Samba 3 update from UCS 3.2 to UCS 4 failed
Samba 3 update from UCS 3.2 to UCS 4 failed
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Samba
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Arvid Requate
: interim-3
Depends on:
Blocks: 36205
  Show dependency treegraph
 
Reported: 2014-10-17 07:38 CEST by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-17 07:38:33 CEST
The S3 master Jenkins job failed to update:

-------------------------------------------------------------------------
E: Couldn't configure pre-depend samba for univention-samba, probably a dependency cycle.
Error: Failed to execute "apt-get -o DPkg::Options::=--force-confold -o DPkg::Options::=--force-overwrite -o DPkg::Options::=--force-overwrite-dir --trivial-only=no --assume-yes --quiet=1 -u dist-upgrade"
exitcode of univention-updater: 1
-------------------------------------------------------------------------

http://jenkins.knut.univention.de:8080/job/UCS-4.0/job/UCS-4.0-0/job/UCS%203.2%20to%204.0%20Autotest%20MultiEnv/SambaVersion=s3,Systemrolle=master/ws/updater.log
Comment 1 Stefan Gohmann univentionstaff 2014-10-19 20:51:05 CEST
I've added univention-samba to the pre update package list: r54559

Changelog: r54625
Comment 2 Arvid Requate univentionstaff 2014-11-03 18:49:39 CET
Update works, changelog is ok.
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:54:58 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".